*** pg_regress.sh	Wed Mar 28 02:46:50 2001
--- pg_regress.sh~	Wed Mar 28 02:46:38 2001
***************
*** 156,166 ****
  
  
  # ----------
! # When on QNX or BeOS, don't use Unix sockets.
  # ----------
  
  case $host_platform in
!     *-*-qnx* | *beos*)
          unix_sockets=no;;
      *)
          unix_sockets=yes;;
--- 156,166 ----
  
  
  # ----------
! # When on QNX, BeOS, or Solaris, don't use Unix sockets.
  # ----------
  
  case $host_platform in
!     *-*-qnx* | *beos* | *solaris* )
          unix_sockets=no;;
      *)
          unix_sockets=yes;;
***************
*** 354,359 ****
--- 354,364 ----
      if kill -0 $postmaster_pid >/dev/null 2>&1
      then
          echo "running on port $PGPORT with pid $postmaster_pid"
+         if [ -n "$PGHOST" ]; then
+             echo "(using postmaster on Inet socket)"
+         else
+             echo "(using postmaster on Unix socket)"
+         fi
      else
          echo
          echo "$me: postmaster did not start"
